Bug 186759 - [PATCH] databases/xtrabackup: update to 2.1.7
Summary: [PATCH] databases/xtrabackup: update to 2.1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-14 10:10 UTC by Oleksii Samorukov
Modified: 2014-02-18 21:00 UTC (History)
1 user (show)

See Also:


Attachments
xtrabackup-2.1.7.patch (1.60 KB, patch)
2014-02-14 10:10 UTC, Oleksii Samorukov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2014-02-14 10:10:00 UTC
- Update to 2.1.7
- Fix broken build with clang on FreeBSD10
- Respect system CC/CXX/CPP

Port maintainer (aleksandr.kuzminsky@percona.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-02-14 10:10:09 UTC
Maintainer of databases/xtrabackup,

Please note that PR ports/186759 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186759

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-02-14 10:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Aleksandr Kuzminsky 2014-02-14 15:45:44 UTC
I approve the change. Please commit it.

On 02/14/2014 05:10 AM, Edwin Groothuis wrote:
> Maintainer of databases/xtrabackup,
> 
> Please note that PR ports/186759 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186759
> 


Comment 4 Ruslan Makhmatkhanov freebsd_committer 2014-02-14 18:40:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 R.Mahmatkhanov 2014-02-14 20:42:43 UTC
Alex, it fails to build here:

http://people.freebsd.org/~rm/xtrabackup-2.1.7.log

-- 
Regards,
Ruslan

T.O.S. Of Reality
Comment 6 dfilter service freebsd_committer 2014-02-18 20:58:24 UTC
Author: rm
Date: Tue Feb 18 20:58:11 2014
New Revision: 344957
URL: http://svnweb.freebsd.org/changeset/ports/344957
QAT: https://qat.redports.org/buildarchive/r344957/

Log:
  - update to 2.1.7
  - support staging
  
  PR:		186759
  Submitted by:	Alex Samorukov <samm@os2.kiev.ua>
  Approved by:	Aleksandr Kuzminsky <aleksandr.kuzminsky@percona.com> (maintainer)

Added:
  head/databases/xtrabackup/files/patch-innodb56.patch   (contents, props changed)
Modified:
  head/databases/xtrabackup/Makefile
  head/databases/xtrabackup/distinfo

Modified: head/databases/xtrabackup/Makefile
==============================================================================
--- head/databases/xtrabackup/Makefile	Tue Feb 18 20:46:17 2014	(r344956)
+++ head/databases/xtrabackup/Makefile	Tue Feb 18 20:58:11 2014	(r344957)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	xtrabackup
-PORTVERSION=	2.1.4
+PORTVERSION=	2.1.7
 CATEGORIES=	databases
 MASTER_SITES=	http://www.percona.com/downloads/%SUBDIR%/
 DISTNAME=	percona-${PORTNAME}-${DISTVERSIONPREFIX}${DISTVERSION}${DISTVERSIONSUFFIX}
@@ -31,27 +31,26 @@ USES=		cmake iconv gettext gmake perl5
 MASTER_SITE_SUBDIR=	XtraBackup/XtraBackup-${PORTVERSION}/source/
 
 PLIST_FILES=	bin/xtrabackup bin/xtrabackup_55 bin/xtrabackup_56 bin/xbstream \
-	bin/innobackupex bin/xbcrypt
+		bin/innobackupex bin/xbcrypt
 
-NO_STAGE=	yes
 pre-build:
 	${CP} ${DISTDIR}/percona-xtrabackup-${PORTVERSION}.tar.gz ${WRKSRC}
 
 do-build:
-	cd ${WRKSRC} && ./utils/build.sh xtradb55
+	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ./utils/build.sh xtradb55)
 	${CP} ${WRKSRC}/src/xtrabackup_55 ${WRKSRC}
-	cd ${WRKSRC} && ./utils/build.sh innodb56
+	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ./utils/build.sh innodb56)
 	${CP} ${WRKSRC}/src/xtrabackup_56 ${WRKSRC}
-	cd ${WRKSRC} && ./utils/build.sh xtradb
+	(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ./utils/build.sh xtradb)
 	${CP} ${WRKSRC}/src/xtrabackup ${WRKSRC}
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup_55 ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup_56 ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/src/xbstream ${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/src/xbcrypt ${PREFIX}/bin
-	${INSTALL_SCRIPT} ${WRKSRC}/innobackupex ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup_55 ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/xtrabackup_56 ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/src/xbstream ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/src/xbcrypt ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/innobackupex ${STAGEDIR}${PREFIX}/bin
 
 # autoconf is running by build.sh
 do-configure:

Modified: head/databases/xtrabackup/distinfo
==============================================================================
--- head/databases/xtrabackup/distinfo	Tue Feb 18 20:46:17 2014	(r344956)
+++ head/databases/xtrabackup/distinfo	Tue Feb 18 20:58:11 2014	(r344957)
@@ -1,2 +1,2 @@
-SHA256 (percona-xtrabackup-2.1.4.tar.gz) = bb0d99915458635d4f852f89412417edb7928755f76ec5a9219e67af8eadada7
-SIZE (percona-xtrabackup-2.1.4.tar.gz) = 137107631
+SHA256 (percona-xtrabackup-2.1.7.tar.gz) = b0a89dd805fe25d1fd00c3f84b43d59e88173a19e2075d444a116118e2623587
+SIZE (percona-xtrabackup-2.1.7.tar.gz) = 131538555

Added: head/databases/xtrabackup/files/patch-innodb56.patch
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/xtrabackup/files/patch-innodb56.patch	Tue Feb 18 20:58:11 2014	(r344957)
@@ -0,0 +1,17 @@
+--- patches/innodb56.patch	2014-01-23 15:59:36.000000000 +0100
++++ patches/innodb56.patch	2014-02-18 10:50:05.000000000 +0100
+@@ -2687,3 +2687,14 @@
+  /*********************************************************************//**
+  Wrapper around MySQL's copy_and_convert function.
+  @return	number of bytes copied to 'to' */
++--- a/extra/yassl/taocrypt/include/misc.hpp
+++++ b/extra/yassl/taocrypt/include/misc.hpp
++@@ -124,7 +124,7 @@
++ 
++ 
++ // no gas on these systems ?, disable for now
++-#if defined(__sun__) || defined (__APPLE__)
+++#if defined(__sun__) || defined (__APPLE__) || defined(__clang__)
++     #define TAOCRYPT_DISABLE_X86ASM
++ #endif
++ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2014-02-18 20:59:01 UTC
State Changed
From-To: feedback->closed

Committed, thank you!